Skip to main content
PUT
/
orgs
/
{id}
cURL
curl --request PUT \
  --url https://api.axiom.co/v2/orgs/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>"
}
'
{
  "id": "<string>",
  "lastUsageSync": "<string>",
  "license": {
    "apiRateLimitPerSecond": 123,
    "billingPeriodEnd": "2023-11-07T05:31:56Z",
    "billingPeriodStart": "2023-11-07T05:31:56Z",
    "defaultEdgeDeployment": "<string>",
    "edgeDeployments": [
      "<string>"
    ],
    "features": {},
    "id": "<string>",
    "issuedAt": "2023-11-07T05:31:56Z",
    "issuedTo": "<string>",
    "issuer": "<string>",
    "maxAuditWindowSeconds": 123,
    "maxDatasets": 123,
    "maxEndpoints": 123,
    "maxFields": 123,
    "maxMonitors": 123,
    "maxQueryWindowSeconds": 123,
    "maxUsers": 123,
    "monthlyIngestGb": 123,
    "monthlyQueryGbHours": 123,
    "tier": "personal",
    "validFrom": "2023-11-07T05:31:56Z",
    "withAuths": [
      "<string>"
    ],
    "expiresAt": "2023-11-07T05:31:56Z",
    "storageAllowanceGB": 123
  },
  "name": "<string>",
  "paymentStatus": "na",
  "plan": "personal",
  "planCreated": "<string>",
  "primaryEmail": "<string>",
  "defaultEdgeDeployment": "<string>",
  "firstFailedPayment": "<string>",
  "metaCreated": "<string>",
  "metaModified": "<string>",
  "metaVersion": "<string>",
  "role": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://axiom.co/docs/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Authenticate using an API token or personal access token (PAT). Include the token as a Bearer token: Authorization: Bearer <token>. For more information, see Tokens.

Path Parameters

id
string
required

Body

application/json
name
string
required

Response

200 - application/json

Org

id
string
required
lastUsageSync
string
required
license
object
required
name
string
required
paymentStatus
enum<string>
required
Available options:
na,
failed,
success,
blocked
plan
enum<string>
required
Available options:
personal,
basicDirect,
teamMonthlyDirect,
teamMonthlyAws,
axiomCloud,
teamPlus,
enterprise,
comped,
accelerator
planCreated
string
required
primaryEmail
string
required
defaultEdgeDeployment
string
firstFailedPayment
string
metaCreated
string
metaModified
string
metaVersion
string
role
string